Author Topic: Firefox 38.8.0 for OS/2 Beta 7  (Read 12902 times)

Mike Kölling

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 2
  • Posts: 28
    • View Profile
Re: Firefox 38.8.0 for OS/2 Beta 7
« Reply #15 on: May 30, 2016, 05:55:37 pm »
I will point out that it took a couple of minutes, using Arca Noae Package Manager, to get this right, and I used my latest WarpIn installer (at Netlabs, and Hobbes) to get Firefox 38.8.0 properly installed. The WarpIn installer no longer makes any attempt to verify that the user has the proper DLLs (and other things) installed. ANPM (recommended), or the YUM command line, will do that properly. Trying to do it yourself is probably possible, but I suspect that it will turn into an exercise in frustration, before you figure it out. It seems that even the developers don't know what you need.

FWIW, I installed FF 38.8.0 last night, and it seems to be working well. The only anomaly, that I have noticed, is that it insists that I haven't used FF for a while, it welcomes me back, and it offers to clean up Firefox. I haven't let it do that, yet.

Also for me it was fine installing with ANPM and the wpi-file I found at Hobbes. It took also only a few minutes.
To get rid of the annoying statement just delete the parent.lock file in your profile once the program is closed.

Greetings form Potsdam/Germany,
Mike

Greggory Shaw

  • Global Moderator
  • Sr. Member
  • *****
  • Thank You
  • -Given: 39
  • -Receive: 19
  • Posts: 418
    • View Profile
Re: Firefox 38.8.0 for OS/2 Beta 7
« Reply #16 on: May 30, 2016, 09:44:49 pm »
In ecs22b2 only the first start show this message:
Flash Plugin!
NSPR4.DLL not found....
The second start is all ok.

In ecs2.0, in all cases show that message error. Only if copy the unixroot\usr\lib\nspr4.dll to firefox folder solve the problem.

Saludos

Same here any thought ?

ecs 2.2 - Using ANPM and all packages have been updated - clean out all dlls in \os2\dll and \ecs\dll
« Last Edit: May 30, 2016, 09:47:17 pm by Greggory Shaw »

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 9
  • -Receive: 112
  • Posts: 1644
    • View Profile
Re: Firefox 38.8.0 for OS/2 Beta 7
« Reply #17 on: May 31, 2016, 12:27:02 am »
Perhaps Flash remembers where it found NSPR previously or it's hard coded to look for it in the program directory. If on the second run it works...
Understand that Flash is no longer supported and buggy when used with the recent Mozilla releases so it is suggested to uninstall it.

Greggory Shaw

  • Global Moderator
  • Sr. Member
  • *****
  • Thank You
  • -Given: 39
  • -Receive: 19
  • Posts: 418
    • View Profile
Re: Firefox 38.8.0 for OS/2 Beta 7
« Reply #18 on: May 31, 2016, 04:33:13 am »
Perhaps Flash remembers where it found NSPR previously or it's hard coded to look for it in the program directory. If on the second run it works...
Understand that Flash is no longer supported and buggy when used with the recent Mozilla releases so it is suggested to uninstall it.

That did the trick thanks ! I had flash installed in a separate firefox installed, but got away from that.

Greggory
« Last Edit: May 31, 2016, 08:41:05 pm by Greggory Shaw »

Jan-Erik Lärka

  • Global Moderator
  • Full Member
  • *****
  • Thank You
  • -Given: 6
  • -Receive: 12
  • Posts: 170
    • View Profile
Re: Firefox 38.8.0 for OS/2 Beta 7
« Reply #19 on: June 01, 2016, 07:52:26 am »
Used ANPM to update and install the required libraries...
It worked out nicely, though the repository seem to have switched from libstdc++6 for 386 to 686 so it complained about that.

I have a working copy of OpenOffice 4.1.2 on the same machine, where all the extra libraries has been removed and use the libraries managed by ANPM. It has worked flawlessly since the .dll cleanout.

ANPM removed icuuc42.dll so OpenOffice doesn't work anymore, though Firefox work like a charm. :-)
Had to find some old package and dig out (wic -x ...wpi) to get the files and put the in the OpenOffice program folder as in the past. Do I have to add more files back later if I upgrade/add more applications later on?

Jan-Erik

Michael Holzapfel

  • Newbie
  • *
  • Thank You
  • -Given: 2
  • -Receive: 4
  • Posts: 47
    • View Profile
Re: Firefox 38.8.0 for OS/2 Beta 7
« Reply #20 on: June 01, 2016, 12:01:06 pm »
You need to install old libs by "yum install libicu-legacy"

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 9
  • -Receive: 112
  • Posts: 1644
    • View Profile
Re: Firefox 38.8.0 for OS/2 Beta 7
« Reply #21 on: June 01, 2016, 04:19:40 pm »
i386 has been depreciated. Too many programs need instructions (for atomic operations) that are only available on i486 or newer and i686 seems like a good minimum requirement

roberto

  • Sr. Member
  • ****
  • Thank You
  • -Given: 16
  • -Receive: 7
  • Posts: 418
    • View Profile
Re: Firefox 38.8.0 for OS/2 Beta 7
« Reply #22 on: June 01, 2016, 07:49:18 pm »
In ecs22b2 only the first start show this message:
Flash Plugin!
NSPR4.DLL not found....
The second start is all ok.

This can be me error, because it is possible that would be another open application.
Is running very well !! Thanks

Saludos

Andreas Kohl

  • Sr. Member
  • ****
  • Thank You
  • -Given: 6
  • -Receive: 12
  • Posts: 280
    • View Profile
    • warpserver.de
Re: Firefox 38.8.0 for OS/2 Beta 7
« Reply #23 on: June 03, 2016, 03:40:10 pm »
The minimum required dll files are:
CAIRO2.DLL
EXPAT7.DLL
FNTCNF1.DLL
FREETYP6.DLL
GCC1.DLL
GCC473.DLL
GLIB2.DLL
GMOD2.DLL
GOBJ2.DLL
GTHR2.DLL
ICUDT.DLL
ICUIN.DLL
ICUUC.DLL
INTL8.DLL
KAI0.DLL
LIBC065.DLL
LIBC066.DLL
MMAP.DLL
NSPR4.DLL
NSS3.DLL
NSS3UTIL.DLL
PANGO100.DLL
PIXMAN10.DLL
PLC4.DLL
PLDS4.DLL
PNG1616.DLL
PTHR01.DLL
SMIME3.DLL
STDCPP6.DLL
SSL3.DLL
URPO.DLL
Z.DLL
Simply put it to program directory and of course setup the latest fontconfig stuff.
If you want to try the crappy video support, it's something more.

Joop

  • Sr. Member
  • ****
  • Thank You
  • -Given: 0
  • -Receive: 38
  • Posts: 451
    • View Profile
Re: Firefox 38.8.0 for OS/2 Beta 7
« Reply #24 on: June 03, 2016, 07:08:51 pm »
The minimum required dll files are:
NSS3UTIL.DLL
I have it all, only I do have the file NSSUTIL3.DLL. Can't find NSS3UTIL.DLL,  so I guess its a typo?
But still no go, error message stays. Also in options security is not available. Can't go to the net. I have may homepage local, so with open file that works. Had also a short movie, still stutter in sound.

ivan

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 27
  • Posts: 828
    • View Profile
Re: Firefox 38.8.0 for OS/2 Beta 7
« Reply #25 on: June 03, 2016, 10:29:25 pm »
Hi Joop.

Here it is.

Greggory Shaw

  • Global Moderator
  • Sr. Member
  • *****
  • Thank You
  • -Given: 39
  • -Receive: 19
  • Posts: 418
    • View Profile
Re: Firefox 38.8.0 for OS/2 Beta 7
« Reply #26 on: June 04, 2016, 12:41:33 am »
The minimum required dll files are:
NSS3UTIL.DLL
I have it all, only I do have the file NSSUTIL3.DLL. Can't find NSS3UTIL.DLL,  so I guess its a typo?
But still no go, error message stays. Also in options security is not available. Can't go to the net. I have may homepage local, so with open file that works. Had also a short movie, still stutter in sound.

Yum !

Greggory Shaw

  • Global Moderator
  • Sr. Member
  • *****
  • Thank You
  • -Given: 39
  • -Receive: 19
  • Posts: 418
    • View Profile
Re: Firefox 38.8.0 for OS/2 Beta 7
« Reply #27 on: June 04, 2016, 04:50:33 am »
Updated Firefox installer for Firefox 38.8.0 for OS/2 Beta 7, Yum instill required.

http://www.os2world.com/forum/index.php?topic=807.msg10194#msg10194
« Last Edit: June 04, 2016, 04:55:29 am by Greggory Shaw »

Joop

  • Sr. Member
  • ****
  • Thank You
  • -Given: 0
  • -Receive: 38
  • Posts: 451
    • View Profile
Re: Firefox 38.8.0 for OS/2 Beta 7
« Reply #28 on: June 04, 2016, 04:36:43 pm »
Hi Joop.

Here it is.
Thanks, but the message didn't landed. You wrote "NSS3UTIL.DLL", that file doesn't exist. I do have the file "NSSUTIL3.DLL", the same as you send with the message. But even with all the files it doesn't work. I'm afraid that the Linux directory setup is hard coded in the program.

Greggory Shaw

  • Global Moderator
  • Sr. Member
  • *****
  • Thank You
  • -Given: 39
  • -Receive: 19
  • Posts: 418
    • View Profile
Re: Firefox 38.8.0 for OS/2 Beta 7
« Reply #29 on: June 04, 2016, 10:30:06 pm »
Hi Joop.

Here it is.
Thanks, but the message didn't landed. You wrote "NSS3UTIL.DLL", that file doesn't exist. I do have the file "NSSUTIL3.DLL", the same as you send with the message. But even with all the files it doesn't work. I'm afraid that the Linux directory setup is hard coded in the program.

Yum way of the future !